Ubuntu

Update Manager doesn't display package versions anymore

Reported by Pizuz on 2008-02-05
64
This bug affects 4 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Wishlist
Michael Vogt
Hardy
Wishlist
Unassigned
Intrepid
Wishlist
Michael Vogt

Bug Description

This is a regression introduced in update-manager 1:0.87 on 2008-01-09. The changelog notes:

  * UpdateManager/UpdateManager.py:
    - remove the "from $version to $version" from the main
      list as this is duplicated information from the details tab

Update Manager used to show the version changes below the package descriptions (as shown at http://polishlinux.org/reviews/feisty-fawn-michuk/upgrade.png for example). However, one day it stopped doing this which I find pretty inconvenient for the following reasons:

- You have to select each package separately in order to see the version change in the package change logs.
- These change logs aren't always available, so sometimes you won't even see what Update Manager is exactly doing.
- You cannot see whether the package is new or just got upgraded from a lower version.
- You also cannot see that lower version, by the way.

Please bring this feature back.

Iulian Udrea (iulian) wrote :

Thank you for your bug report. I can confirm this.

Changed in update-manager:
status: New → Confirmed
Ralph Janke (txwikinger) on 2008-02-07
Changed in update-manager:
importance: Undecided → Low
Pizuz (florian-fahr) on 2008-02-07
description: updated
Nic (ntetreau) wrote :

I can confirm this bug, very annoying!

Jelle De Loecker (skerit) wrote :

I agree, bring it back or, at least, make it optional!

SK (stephantom) wrote :

The resaon given in the changelog isn't even valid as the version numbers are not duplicated information. If a package does not provide a changelog there is no way to seem them.
It's also comfortable to browse through the list of updates whether there are any major version upgrades.

Pizuz (florian-fahr) wrote :

I totally agree. This change is a serious regression and should be reverted as soon as possible.

Håvard H. Garnes (hhgarnes) wrote :

I second this. The version information absolutely needs to be there. You should not make that choice for me, let me choose that my self if I don't want to know what is going on.

Yes, very annoying. At least make it optional.

SK (stephantom) wrote :

Assigning Michael Vogt, as he was the one who made the change.

Changed in update-manager:
assignee: nobody → mvo
Michael-250 (michael-250) wrote :

Part of the original changelog (version 1:0.87):

> * UpdateManager/UpdateManager.py:
> - remove the "from $version to $version" from the main
> list as this is duplicated information from the details tab

Like many others here I have also the opinion that this "from $version to $version" information isn't redundant. If the changelog of the updates isn't available, we have no Information about the new package version. And the changelog doesn't show any information about the currently installed package version.

I looked into the source code of the old update-manager version (gutsy) and found the relevant lines in UpdateManager.py. Therefore I created a diff that should revert these changes (note: I'm not a developer). Now I can see version changes again ;).

It would be great to get feedback from Michael Vogt. Perhaps he is willing to introduce this "version changes information" again.

Joey Chan (ttdlx1989) wrote :

This is a regression. PPA and third party archives don't usually keep a changelog. Changelogs also don't show from which version you're upgrading from.
Therefore, information isn't redundant, or update-manager wouldn't have been patched to include version changes back in breezy/dapper.

  • unnamed Edit (189 bytes, application/pgp-signature; name=signature.asc)

On Mon, 2008-04-21 at 03:52 +0000, Joey Chan wrote:
> This is a regression. PPA and third party archives don't usually keep a changelog. Changelogs also don't show from which version you're upgrading from.
> Therefore, information isn't redundant, or update-manager wouldn't have been patched to include version changes back in breezy/dapper.

Completely agree.

b.

Thanks for the additional feedback.

I agree with you that we should have a way to enable the version information again. I will provide you with a update-manager build after the release (sorry, I just don't have time before) in my PPA that enables them again and then add a gconf key in the next ubuntu version. I hope you are happy with this solution.

Cheers,
 Michael

Changed in update-manager:
milestone: none → later
Dean Loros (autocrosser) wrote :

THANK YOU!! That would do just fine!!
I'll be going to Ibex testing as soon as the repos open & would really like to add your PPA to my list. Again, many thanks!!

Cheers!!
Autocrosser

Stefano Angeleri (weltall) wrote :

a gconf key isn't the best thing to do as you would, everytime you have to install ubuntu in the same/other machine, need to remember or search the internet for the key that needs to be changed. IMHO it should be put back anyway or enabled/disabled with a graphical button/checkbox/whatever somewere

Motin (motin) wrote :

Keep update-manager simple and instead simplify it further:http://brainstorm.ubuntu.com/idea/9338/
Advanced users can use Synaptic for information redarding version numbers and what not.

Pizuz (florian-fahr) wrote :

Interesting idea, indeed. Novice users won't probably know much about the packages being upgraded, anyway.

However, let me humbly disagree with you on one aspect: Synaptic is a tool for installing packages. As an "advanced" user it would be too much of a hassle to open it everytime I want to install a hundred and thirty updates. Just to see which version has been updated to which. Update Manager did a very good job in displaying sufficient information for people like myself who would like to see what exactly was going to happen.

If you don't wanna have novice users see all this, because they could get confused, please dumb the entire interface down and make the old and "advanced" appearance optional. Yes, optional. Please.

Another solution would be making Update Manager at least indicate a new upstream release.

On Sun, 2008-06-01 at 11:12 +0000, F-3582 wrote:
>
> If you don't wanna have novice users see all this, because they could
> get confused, please dumb the entire interface down and make the old and
> "advanced" appearance optional. Yes, optional. Please.

Agreed completely.

I completely and absolutely disagree with "Motin". Why do you assume
everyone is a dummy and will be confused by too much information at the
expense of those who want the information?

As F-3582 says, make being treated like a dummy optional.

Please simply get version numbers back. Version numbers are *essential*
to upgrade manager. Without version numbers it would be like media player
app which does not show what is playing!

Evangelos Foutras (foutrelis) wrote :

I totally agree to have the package versions displayed in the main list. I was really disappointed by the choice to remove them.

Dean Loros (autocrosser) wrote :

Michael--could you please make a Update-Manager with the gconf key turned on for Ibex? All of us in the testing group would really like the availability again. I'm very sure if you ran a pool in the testing forum, you would get almost 100% for the idea( in fact, I'll post a poll & link it here so you can look in). I have not used Update-Manager near as much from the date that the information was not available any more even though Manager is still the easiest way to sift thru the hundreds of updates we get on a regular basis. I can say for sure that it would make my job a bit easier.

Poll & Thread: http://ubuntuforums.org/showthread.php?t=830506

Stefano Angeleri (weltall) wrote :

yeah i disagree as i stated above with the synaptic way... synaptic is just too slow to use as first of all requires the password each time and having to input it just to check what's new is extremely annoying (i don't always install new updates immediately especially if they are kernels or in the proposed repositories). Additionally to this synaptic doesn't show in a fast pace like update-manager the change log: you have to go in a menu select download changes and then finally it shows a window which you will need also to close!
I'd prefer avoiding the gconf key too and leave an option graphically visible to configure it to display advanced things if it's really necessary (i don't see what's the problem in showing version numbers at least people know what they are going to install and this is helpfull also for support in case of problems, additionally also other main stream products like mac osx shows them and windows shows numbers to the knownledge base where each update is explained in extent)

Roman Polach (rpolach) wrote :

May I ask what is problem with displaying version information in update manager?
Does anyone believe that is "confusing some users"?
Does anyone know about some user that feels confusing that software packages has version numbers?

What about newbie user, which *want* to know the version of package being updated?
You recommend to him use synaptic or gconf-editor? If you care of newbie users, you should enable
displaying versions back in update manager. Also if you care of advanced users - at least their comfort
using their desktop - you should enable displaying versions in update manager.

Please let me repeat: Displaying version numbers does help all users, mostly the newbie ones.
And it hurts nobody.

Riccardo 'c10ud' (c10ud) wrote :

i'm here to support the "old" behaviour, so even "noobs" might learn what they're actually doing, we are for all the comforts but we also want to stimulate users being conscious on what they're actually doing, right? ;)

Hew McLachlan (hew) wrote :

This is a clear regression as noted in the bug description. Triaging and bumping up the importance as this is a functionality issue, and as seen by the number of comments/subscribers, an important feature to Ubuntu users. Making this a gconf key is a good solution, but it's important that it is enabled by default. This should be fixed by Intrepid.

description: updated
Changed in update-manager:
importance: Low → Medium
milestone: later → ubuntu-8.10-beta
status: Confirmed → Triaged
Dean Loros (autocrosser) wrote :

THANK YOU!!!! As a testing user, having all the tools I can get really helps.

Chris H. (ahmshaegar) wrote :

I think that update-manager should show version numbers BY DEFAULT. The point of an update manager is to, well... update your software. As such, you need to know some things: Name of package, whether the update is critical or not, the size of the download, a changelog and list of issues fixed, THE VERSION YOU CURRENTLY HAVE, and THE VERSION TO WHICH YOU ARE UPDATING.

It is a sad day when version numbers are considered "too complex." Heck, cars are sold by make, model, and year (more complex than one version number, in my opinion.) We trumpet Ubuntu by VERSION (and codename.) High profile products have version numbers (iTunes 6, iTunes 7, blah blah blah, Windows 3.1, Windows 98 SE, Windows XP, Windows Vista [insert edition name here].) Windows is unfortunately the most popular desktop OS, and has been for some time, and they have downright UGLY version names. Of course, half the people out there don't know what the heck they're running or doing on their computers, but the mad naming of Windows hasn't been an impediment. Note that I'm not arguing that just because someone else does something, we should do it, also. I'm saying that version numbers are not too complex for people.

Actually, I would make the argument that NOT having version numbers is more confusing. Imagine an update comes out for, say, pidgin. Then another update comes out for pidgin some time later. Joe User will think, "Well, great, I updated pidgin a while ago... don't really know what happened, but... what's the difference here?" As updates for the same package keep coming out, people will want a simple way to "know" that they're actually getting something new. Updating "pidgin" to "pidgin" to "pidgin" is kind of... unenlightening, whereas it is obvious that updating "pidgin 2.0" to "pidgin 2.0.1" to "pidgin 2.0.2" is actually, well, an update.

Roman Polach (rpolach) wrote :

I totally agree.
If update manager does not display version numbers, why it displays package names at all?
The core idea: What is the purpose of update manager?
Well, I thing the purpose is:
1) to ask user if he want to install updates
2) provide him enough information for his decision
If these point are not met, then update manager is *completely* useless.
Then it can only displays message "Some updates available" with only one button "Yes, do update".

As Chris already noted:
Without version numbers I cannot decide if I want to update "pidgin" to "pidgin". I do not have enough information.
Then purpose of interactive update manager is gone.

cosmetic

Changed in update-manager:
importance: Medium → Wishlist
milestone: ubuntu-8.10-beta → none

On Thu, 2008-09-25 at 13:43 +0000, Scott James Remnant wrote:
> cosmetic

I disagree and am somewhat insulted. This is more than cosmetic.
Cosmetic is I don't like the color. This is I am not being given enough
information to make an informed decision (perhaps based on an assumption
that I wouldn't know what to do with the information if I had it).

Please stop treating this issue so lightly. We are not all drool-droids
that just do what we are told. Some of us want to know the details.

SK (stephantom) wrote :

The patch from https://bugs.edge.launchpad.net/ubuntu/+source/update-manager/+bug/189406/comments/9 works and does provide the required/requested functionality. Please apply it.

Hew McLachlan (hew) wrote :

<mvo> Hew: would you be ok with a gconf key to enable it?
<Hew> mvo: I would, as I mentioned in a comment a while ago, but I still think it should be enabled by default.
<mvo> Hew: ok, thanks. I will bring it up with our usability person again

On to., 2008-09-25 at 14:03 +0000, Brian J. Murrell wrote:
> On Thu, 2008-09-25 at 13:43 +0000, Scott James Remnant wrote:
> > cosmetic
>
> I disagree and am somewhat insulted.

Yes. Calling this bug cosmetic is insulting. The definition of upgrading
is to go from one version to another, and giving information on said
process is the sole purpouse of an update manager.

Ubuntu should not choose for me when it comes to what information I want
to see.

Michael Vogt (mvo) wrote :

I commited a gconf key to bzr that allows changing that easily (via /apps/update-manager/show_versions). Please note that it was never my intention to insult anyone.

Dean Loros (autocrosser) wrote :

Thank you Michael!! How soon can we see it? I for one will like seeing what I'm doing again :)

Pizuz (florian-fahr) wrote :

Well, if Ubuntu really does make the switch to PackageKit, this will be a problem of the past, anyway.

On Sun, 2008-09-28 at 17:19 +0000, F-3582 wrote:
> Well, if Ubuntu really does make the switch to PackageKit, this will be
> a problem of the past, anyway.

Yeah. If and when. In the meanwhile there is a small patch that can be
applied to update manager to deal with the current issue. I don't
understand why, given that the patch to fix it is so easy, this issue
has languished on and on and on for so long.

I had assumed fixing it was going to be some substantial, big deal, but
as has been pointed out, the patch is less than dozen lines long.
Please just apply it and let's all get on with life and stop wasting our
time on such a trivial issue. Please and thank-you.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.93.18

---------------
update-manager (1:0.93.18) intrepid; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add KeepInstalled rule for adept to help
      the dependency resolver (thanks to MvG)
    - add kubuntu-kde4-desktop metapackage so that
      the meta package detection works for kde4 (LP: #274706)
  * DistUpgrade/DistUpgradeCache.py:
    - fix log for kept packages
    - make the log of the obsolete removal less verbose
    - fix kubuntu-kde4-desktop upgrades (LP: #274706)
  * DistUpgrade/ReleaseAnnouncement:
    - udpated for BETA
  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix typo and unfuzzy translations. Thanks to Brian Murray
      for the patch, LP: #272726)
  * UpdateManager/UpdateManager.py:
    - add gconf key /apps/update-manager/show_versions to show
      version information (disabled by default, LP: #189406)
  * DistUpgrade/DistUpgradeQuirks.py:
    - add intrepidPreUpgrade() handler that detects
      fglrx in xorg.conf and warns about it before the upgrade
    - consolidate the various quirks into this file
    - add check for the nvidia-glx-71 and nvidia-glx-96 drivers
      and warn if they will be required
  * DistUpgrade/xorg_fix_intrepid.py:
    - add script that is run after the upgrade that ensures that
      the xorg.conf file gets transitioned to a free driver if
      the proprietary one does not work for intrepid
    - transition from fglrx and nvidia-glx-{71,96} to the free
      driver (LP: #274303)

 -- Michael Vogt <email address hidden> Fri, 26 Sep 2008 14:16:56 +0200

Changed in update-manager:
status: Triaged → Fix Released
SK (stephantom) wrote :

<sarcasm> Nice to see that user input is taken so seriously. </sarcasm>

On Mon, 2008-09-29 at 12:40 +0000, Launchpad Bug Tracker wrote:
> This bug was fixed in the package update-manager - 1:0.93.18

Awesome! I'm sooooo looking forward to it!

Many many thanx!

Stefano Angeleri (weltall) wrote :

i still think it should be enabled, not disabled, per default. else it's just like patching yourself the file.

Changed in update-manager:
importance: Undecided → Wishlist
milestone: none → ubuntu-8.04.2
status: New → Triaged
David Fraser (davidf) wrote :

I have a version for hardy that has set_version enabled by default in my PPA at https://launchpad.net/~davidf/+archive

Steve Langasek (vorlon) on 2009-01-26
Changed in update-manager:
milestone: ubuntu-8.04.2 → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments